set serveroutput on
declare
	v_blob_locater	blob;
	v_handle	bfile := bfilename('LOB_DATA_PATH','maguro1.jpg');
	
	v_amount	pls_integer;
	v_doffset	pls_integer := 1;
	v_soffset	pls_integer := 1;
	
begin
	dbms_lob.fileopen(
		v_handle,
		dbms_lob.file_readonly
	);

	v_amount := dbms_lob.getlength(v_handle);

	insert into test_blob_data (
		id,
		data
	) values (
		seq_test_blob_data.nextval,
		empty_blob()
	) returning data into v_blob_locater;
	
	dbms_lob.loadblobfromfile(
		v_blob_locater,
		v_handle,
		v_amount,
		v_doffset,
		v_soffset
	);
	dbms_output.put_line ( '書き込まれたサイズ : ' || v_doffset || 'Bytes' );
	commit;
	dbms_lob.fileclose(v_handle);
end;
/
